Cyberduck Mountain Duck CLI

#9914 closed defect (fixed)

Invalid signature for path with *

Reported by: jcflowers Owned by: dkocher
Priority: low Milestone: 6.9.5
Component: s3 Version: 5.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by yla)

Using Amazon S3 system, if I try to create or access a folder titled "**Team Photo from OCP 2014", I get an error message

The request signature we calculated does not match the signature you provided.". The objects in the folder are not accessible and the error repeats. Feels like a key signing error for that specific request as the access key works with all the other many objects I store in S3.

Data from view log drawer:

PUT /**Team%20Photo%20from%20OCP%202014/ HTTP/1.1
Date: Fri, 07 Apr 2017 13:42:19 GMT
Expect: 100-continue
Content-Type: application/x-directory
x-amz-content-sha256: e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
x-amz-storage-class: REDUCED_REDUNDANCY
Host: jflowers.new-bucket.s3.amazonaws.com
x-amz-date: 20170407T134219Z
Authorization: ********
Content-Length: 0
Connection: Keep-Alive
User-Agent: Cyberduck/5.4.0.23761 (Mac OS X/10.12.4) (x86_64)

Change History (11)

comment:1 Changed on Apr 11, 2017 at 1:01:41 PM by dkocher

  • Component changed from core to s3
  • Description modified (diff)
  • Owner set to dkocher

comment:2 Changed on Apr 11, 2017 at 1:02:09 PM by dkocher

  • Description modified (diff)

comment:3 Changed on May 2, 2017 at 9:50:04 AM by dkocher

  • Summary changed from Access key validation fails for specific folder name to Invalid signature for path with *

comment:4 Changed on May 2, 2017 at 9:50:18 AM by dkocher

  • Priority changed from normal to low
  • Severity changed from major to normal

comment:5 Changed on Jan 24, 2019 at 11:45:14 AM by dkocher

I can reproduce this issue.

comment:6 Changed on Apr 12, 2019 at 5:00:07 AM by yla

  • Description modified (diff)

comment:7 Changed on Apr 12, 2019 at 12:55:34 PM by yla

  • Milestone set to 6.9.5

comment:8 Changed on Apr 15, 2019 at 8:11:09 PM by dkocher

#10677 closed as duplicate.

comment:9 Changed on Apr 15, 2019 at 8:11:37 PM by dkocher

#10649 closed as duplicate.

comment:11 Changed on Apr 15, 2019 at 8:16:34 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software